> ## Documentation Index
> Fetch the complete documentation index at: https://openwearables.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Endpoint Secret



## OpenAPI

````yaml https://api.openwearables.io/openapi.json get /api/v1/webhooks/endpoints/{endpoint_id}/secret
openapi: 3.1.0
info:
  title: Open Wearables API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/webhooks/endpoints/{endpoint_id}/secret:
    get:
      tags:
        - 'External: Webhooks'
      summary: Get Endpoint Secret
      operationId: get_endpoint_secret_api_v1_webhooks_endpoints__endpoint_id__secret_get
      parameters:
        - name: endpoint_id
          in: path
          required: true
          schema:
            type: string
            title: Endpoint Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointSecretResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    EndpointSecretResponse:
      properties:
        key:
          type: string
          title: Key
      type: object
      required:
        - key
      title: EndpointSecretResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/v1/auth/login

````